Index: branches/atmospheric_engine/src/lib/graphics/effects/cloud_effect.cc
===================================================================
--- branches/atmospheric_engine/src/lib/graphics/effects/cloud_effect.cc	(revision 8704)
+++ branches/atmospheric_engine/src/lib/graphics/effects/cloud_effect.cc	(revision 8713)
@@ -64,6 +64,5 @@
   this->offsetZ = 0;
   this->animationSpeed = 2;
-  this->lightPos = Vector(0,0,0);
-  this->scale = 0.0008f;
+  this->scale = 0.0004f;
   this->atmosphericRadius = 4000;
   this->planetRadius = 1500;
@@ -108,5 +107,4 @@
 
   LoadParam(root, "speed", this, CloudEffect, setAnimationSpeed);
-  LoadParam(root, "lightPos", this, CloudEffect, setLightPosition);
   LoadParam(root, "scale", this, CloudEffect, setCloudScale);
   
@@ -130,5 +128,4 @@
   this->shader->activateShader();
   Shader::Uniform(shader, "Scale").set(this->scale);
-  Shader::Uniform(shader, "LightPos").set(lightPos.x, lightPos.y, lightPos.z);
   this->shader->deactivateShader();
   
@@ -157,6 +154,4 @@
   glEnable(GL_TEXTURE_3D);
   glBindTexture(GL_TEXTURE_3D, noise3DTexName);
-
-  //glPushMatrix();
 
   this->shader->activateShader();
@@ -177,5 +172,4 @@
   glTranslatef(0.0f,pRadius,0.0f);
   //glRotatef(timeGetTime()/2000.0f,0.0f, 1.0f, 0.0f);
-  //glTranslatef(0.0f,0.0f,0.0f);
 
   glBegin(GL_TRIANGLES);
@@ -195,5 +189,4 @@
   this->shader->deactivateShader();
 
-  //glPopMatrix();
   glPopAttrib();
 
@@ -202,7 +195,6 @@
 void CloudEffect::tick (float dt)
 {
-  if (!this->cloudActivate)
-    return;
-  this->offsetZ += 0.05 * dt * this->animationSpeed;
+  if (this->cloudActivate)
+    this->offsetZ += 0.05 * dt * this->animationSpeed;
 }
 
Index: branches/atmospheric_engine/src/lib/graphics/effects/cloud_effect.h
===================================================================
--- branches/atmospheric_engine/src/lib/graphics/effects/cloud_effect.h	(revision 8704)
+++ branches/atmospheric_engine/src/lib/graphics/effects/cloud_effect.h	(revision 8713)
@@ -69,7 +69,4 @@
   inline void setAnimationSpeed(float speed)
   { this->animationSpeed = speed; }
-  
-  inline void setLightPosition(float x, float y, float z)
-  { this->lightPos = Vector(x,y,z); }
 
   inline void setCloudScale(float scale)
@@ -108,5 +105,4 @@
   Shader::Uniform* offset;
   float            offsetZ;
-  Vector           lightPos;
   float            scale;
   float            planetRadius;
Index: branches/atmospheric_engine/src/lib/graphics/effects/lightening_effect.cc
===================================================================
--- branches/atmospheric_engine/src/lib/graphics/effects/lightening_effect.cc	(revision 8704)
+++ branches/atmospheric_engine/src/lib/graphics/effects/lightening_effect.cc	(revision 8713)
@@ -78,6 +78,7 @@
   this->lighteningActivate = false;
 
-  this->flashFrequencyBase = 2.0f;
-  this->flashFrequencySeed = 4.0f;
+  this->flashFrequency = 4.0f;
+  this->flashFrequencyBase = 4.0f;
+  this->flashFrequencySeed = 2.0f;
 
   this->flashHoldTime = 0.1f;
@@ -94,5 +95,5 @@
   this->lighteningMove = false;
 
-  this->mainPosX = 2000;
+  this->mainPosX = 1200;
   this->mainPosY = 900;
   this->mainPosZ = 0;
@@ -124,15 +125,15 @@
   {
     this->cameraCoor = State::getCameraNode()->getAbsCoor();
-    this->billboard[0]->setAbsCoor(this->cameraCoor.x+3000,900,this->cameraCoor.z+0);
-    this->billboard[1]->setAbsCoor(this->cameraCoor.x+3000,900,this->cameraCoor.z+0);
-    this->billboard[2]->setAbsCoor(this->cameraCoor.x+3000,900,this->cameraCoor.z+0);
-    this->billboard[3]->setAbsCoor(this->cameraCoor.x+3000,900,this->cameraCoor.z+0);
+    this->billboard[0]->setAbsCoor(this->cameraCoor.x+1200,900,this->cameraCoor.z+0);
+    this->billboard[1]->setAbsCoor(this->cameraCoor.x+1200,900,this->cameraCoor.z+0);
+    this->billboard[2]->setAbsCoor(this->cameraCoor.x+1200,900,this->cameraCoor.z+0);
+    this->billboard[3]->setAbsCoor(this->cameraCoor.x+1200,900,this->cameraCoor.z+0);
   }
   else
   {
-    this->billboard[0]->setAbsCoor(3000,900,0);
-    this->billboard[1]->setAbsCoor(3000,900,0);
-    this->billboard[2]->setAbsCoor(3000,900,0);
-    this->billboard[3]->setAbsCoor(3000,900,0);
+    this->billboard[0]->setAbsCoor(1200,900,0);
+    this->billboard[1]->setAbsCoor(1200,900,0);
+    this->billboard[2]->setAbsCoor(1200,900,0);
+    this->billboard[3]->setAbsCoor(1200,900,0);
   }
 
